---
wsId: Mercuryo
title: Mercuryo Bitcoin Cryptowallet
altTitle: 
authors:
- leo
users: 100000
appId: com.mercuryo.app
appCountry: 
released: 2019-09-03
updated: 2022-05-16
version: 2.0.36
stars: 4.1
ratings: 2732
reviews: 50
size: 42M
website: https://mercuryo.io
repository: 
issue: 
icon: com.mercuryo.app.png
bugbounty: 
meta: ok
verdict: custodial
date: 2020-11-17
signer: 
reviewArchive: 
twitter: Mercuryo_io
social:
- https://www.linkedin.com/company/mercuryo-io
- https://www.facebook.com/mercuryo.io
- https://www.reddit.com/r/mercuryo
redirect_from:
- /com.mercuryo.app/

---

This app has a strong focus on cashing in and out with linked cards and low
exchange fees but no word on who holds the keys. At least not on Google Play.
On their website we find:

> Your private key is safely stored and fully restorable thanks to customer
  verification. Cryptocurrency is stored in safe offline wallets.

which is the definition of a custodial app. This wallet is **not verifiable**.
